com.threerings.whirled.zone.client

## Interface ZoneObserver

All Known Implementing Classes:
  ZoneAdapter

    public interface ZoneObserver

The zone observer interface makes it possible for entities to be notified when the client moves to a new zone.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `zoneChangeFailed(String reason)` This is called on all zone observers when a zone change request is rejected by the server or fails for some other reason.
`void` `zoneDidChange(ZoneSummary summary)` Called when we have switched to a new zone.
`void` `zoneWillChange(int zoneId)` Called when we begin the process of switching to a new zone.

### Method Detail

#### zoneWillChange

    void zoneWillChange(int zoneId)

Called when we begin the process of switching to a new zone. This will be followed by a call to `zoneDidChange(com.threerings.whirled.zone.data.ZoneSummary)` to indicate that the change was successful or `zoneChangeFailed(java.lang.String)` if the change fails.

Parameters:
  `zoneId` - the zone id of the zone to which we are changing.

#### zoneDidChange

    void zoneDidChange(ZoneSummary summary)

Called when we have switched to a new zone.

Parameters:
  `summary` - the summary information for the new zone or null if we have switched to no zone.

#### zoneChangeFailed

    void zoneChangeFailed(String reason)

This is called on all zone observers when a zone change request is rejected by the server or fails for some other reason.

Parameters:
  `reason` - the reason code that explains why the zone change request was rejected or otherwise failed.